Subject: bug#60456: 28.2; Removal of `query-replace-interactive' from Emacs 29?

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Dec 2022 20:03:27 +0200

> From: Drew Adams <[email-masked]>
> Date: Sat, 31 Dec 2022 17:37:15 +0000
> 
> I see this, at line 3488:
> 
> ** Some functions and variables obsolete since Emacs 24 have been
> removed:
> 
> And under that I see listed `query-replace-interactive'.
> 
> I don't see that as having been declared obsolete since Emacs 24.  It's
> not even declared obsolete in Emacs 28 AFAICT, and that's the latest
> release.  Are we now removing stuff that hasn't even been previously
> (let alone long ago) deprecated?  Or is this a typo?  What's the status
> of this variable (and perhaps the other functions and vars in the list)?

In Emacs 28.2, "C-h v query-replace-interactive RET" says, inter alia:

    This variable is obsolete since 24.3;
    use `M-n' to pull the last incremental search string
  to the minibuffer that reads the string to replace, or invoke replacements
  from Isearch by using a key sequence like `C-s C-s M-%'.

And replace.el from Emacs 24.3 has this:

  (make-obsolete-variable 'query-replace-interactive
			  "use `M-n' to pull the last incremental search string
  to the minibuffer that reads the string to replace, or invoke replacements
  from Isearch by using a key sequence like `C-s C-s M-%'." "24.3")

Finally, the file NEWS.24 has this:

  ** The following functions and variables are obsolete:
  *** 'automount-dir-prefix' (use 'directory-abbrev-alist')
  *** 'buffer-has-markers-at'
  *** 'macro-declaration-function' (use 'macro-declarations-alist')
  *** 'window-system-version' (provides no useful information)
  *** 'dired-pop-to-buffer' (use 'dired-mark-pop-up')
  *** 'query-replace-interactive'  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
  *** 'font-list-limit' (has had no effect since Emacs < 23)